package compbio.listeners;

import java.io.IOException;
import java.util.Calendar;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import compbio.cassandra.*;
import compbio.statistic.StatisticsProt;

@WebServlet("/QueryServlet")
public class QueryServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		List<DataBase> result;
		String flag = request.getParameter("option");
		String date1 = request.getParameter("data1");
		String date2 = request.getParameter("data2");
		StatisticsProt sp = new StatisticsProt();
		if (flag == null)
			result = sp.readDetail(date1, date2);
		else {
			Calendar cal = Calendar.getInstance();
			String dateB = StatisticsProt.DateFormatYYMMDD(sp.earliestDate());
			String dateEnd = cal.get(Calendar.YEAR) + "/" + (cal.get(Calendar.MONTH) + 1) + "/" + cal.get(Calendar.DAY_OF_MONTH);
			result = sp.readDetail(dateB, dateEnd);
		}
		request.setAttribute("data1", date1);
		request.setAttribute("data2", date2);
		request.setAttribute("result", result);
		request.setAttribute("flag", flag);
		RequestDispatcher rd = request.getRequestDispatcher("/ReportNew.jsp");
		rd.forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doGet(request, response);
	}

}
